#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 criterion
version:              1.5.10.0
visibility:           public
id:                   criterion-1.5.10.0-6erHEpufxnS3fBOcWu60mg
key:                  criterion-1.5.10.0-6erHEpufxnS3fBOcWu60mg
license:              BSD-3-Clause
copyright:            2009-2016 Bryan O'\''Sullivan and others
maintainer:           Ryan Scott <ryan.gl.scott@gmail.com>
author:               Bryan O'\''Sullivan <bos@serpentine.com>
homepage:             http://www.serpentine.com/criterion
synopsis:             Robust, reliable performance measurement and analysis
description:
    This library provides a powerful but simple way to measure software
    performance.  It provides both a framework for executing and
    analysing benchmarks and a set of driver functions that makes it
    easy to build and run benchmarks, and to analyse their results.

    The fastest way to get started is to read the
    <http://www.serpentine.com/criterion/tutorial.html online tutorial>,
    followed by the documentation and examples in the "Criterion.Main"
    module.

    For examples of the kinds of reports that criterion generates, see
    <http://www.serpentine.com/criterion the home page>.

category:             Development, Performance, Testing, Benchmarking
abi:                  3b8985c4bc01b3b2c3c4b6a8dad92061
exposed:              True
exposed-modules:
    Criterion Criterion.Analysis Criterion.IO Criterion.IO.Printf
    Criterion.Internal Criterion.Main Criterion.Main.Options
    Criterion.Monad Criterion.Report Criterion.Types

hidden-modules:       Criterion.Monad.Internal Paths_criterion
import-dirs:          /usr/lib/ghc-9.0.2/site-local/criterion-1.5.10.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/criterion-1.5.10.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-criterion
hs-libraries:         HScriterion-1.5.10.0-6erHEpufxnS3fBOcWu60mg
depends:
    Glob-0.10.2-B4ybAlgFzJj5sxG9YgXNMT
    aeson-1.5.6.0-7AVmFt19o6HJo2wk0LSKcn
    ansi-wl-pprint-0.6.9-F8yoTwbC08i3X44T5YEjrS base-4.15.1.0
    base-compat-batteries-0.11.2-7zJjXm2jwVMK9xxXgmq2aM binary-0.8.8.0
    binary-orphans-1.0.1-C7j21HhgGDQDFv3MdydmCC bytestring-0.10.12.1
    cassava-0.5.2.0-FY6pbWqOO2Q5yW3L6HErdZ
    code-page-0.2.1-2yvmeM0b2LT6XlGG4kufG5 containers-0.6.4.1
    criterion-measurement-0.1.3.0-2JknNnHTKiQBLYOr4ohIow
    deepseq-1.4.5.0 directory-1.3.6.2 exceptions-0.10.4
    filepath-1.4.2.1 js-chart-2.9.4.1-Flj5BKolsep7sdg9Mb6p76
    microstache-1.0.2-E0kChiDnUSV2IIZGGzg47Q mtl-2.2.2
    mwc-random-0.15.0.2-CFwOjtF5i3FK7Oi5IUBarv
    optparse-applicative-0.16.1.0-DtsJHkb9QbJ3YON6NZllgb
    parsec-3.1.14.0 statistics-0.15.2.0-IT3BFfSaG7L24DdFVijZGt
    text-1.2.5.0 time-1.9.3 transformers-0.5.6.2
    transformers-compat-0.7.1-5G5J9BcZIFIGkjABObiUpP
    vector-0.12.3.1-3x1pAdfup7PE3zWKaw1ikC
    vector-algorithms-0.8.0.4-7Wm41Y5SpzBEvyxMFaVb2p

haddock-interfaces:   /usr/share/doc/haskell-criterion/html/criterion.haddock
haddock-html:         /usr/share/doc/haskell-criterion/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

